com.informix.jns

## Class ServerInfo

- java.lang.Object
- - com.informix.jns.ServerInfo

    public class ServerInfo
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ServerInfo(java.lang.String sname, java.lang.String net, java.lang.String host, java.lang.String svc, java.lang.String opt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getHostname()`
`java.lang.String` `getNettype()`
`java.lang.String` `getOptfield()`
`java.lang.String` `getOption(java.lang.String optname)`
`java.lang.String` `getService()`
`java.lang.String` `getSname()`
`boolean` `isGroupEntry()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ServerInfo

    public ServerInfo(java.lang.String sname,
                      java.lang.String net,
                      java.lang.String host,
                      java.lang.String svc,
                      java.lang.String opt)

### Method Detail

#### getSname

    public java.lang.String getSname()

#### getNettype

    public java.lang.String getNettype()

#### getHostname

    public java.lang.String getHostname()

#### getService

    public java.lang.String getService()

#### getOptfield

    public java.lang.String getOptfield()

#### getOption

    public java.lang.String getOption(java.lang.String optname)

#### isGroupEntry

    public boolean isGroupEntry()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`